#!/usr/bin/python
# -*- coding: utf-8 -*-

from collections import defaultdict


class Befehle:
    __bez = []
    __editorBez = []
    __asmBez = []
    __hint = []

    @staticmethod
    def getBefehleAsDictionary(self):
        return self.__befehlDictionary

    __befehlDictionary = defaultdict(list)
    __befehlDictionary['Mov'].append("Mov Akku Konstante")
    __befehlDictionary['Mov'].append("Mov Akku Register")
    __befehlDictionary['Mov'].append("Mov Reg x, Akku")

    __befehlDictionary['Arithmetik'].append("Add Akku Register")
    __befehlDictionary['Arithmetik'].append("Add Akku Konstante")
    __befehlDictionary['Arithmetik'].append("Sub Akku Register")
    __befehlDictionary['Arithmetik'].append("Sub Akku Konstante")
    __befehlDictionary['Arithmetik'].append("Mod Akku Register")
    __befehlDictionary['Arithmetik'].append("Mod Akku Konstante")
    __befehlDictionary['Arithmetik'].append("Mult Akku Register")
    __befehlDictionary['Arithmetik'].append("Mult Akku Konstante")
    __befehlDictionary['Arithmetik'].append("Div Akku Register")
    __befehlDictionary['Arithmetik'].append("Div Akku Konstante")
    __befehlDictionary['Arithmetik'].append("Inc Akku")
    __befehlDictionary['Arithmetik'].append("Dec Akku")
    __befehlDictionary['Arithmetik'].append("Daa Akku")
    __befehlDictionary['Arithmetik'].append("Das Akku")

    __befehlDictionary['Logik'].append("AND Akku Konstante")
    __befehlDictionary['Logik'].append("AND Akku Register")
    __befehlDictionary['Logik'].append("OR Akku Konstante")
    __befehlDictionary['Logik'].append("OR Akku Register")
    __befehlDictionary['Logik'].append("XOR Akku Konstante")
    __befehlDictionary['Logik'].append("XOR Akku Register")
    __befehlDictionary['Logik'].append("NOT Akku")

    __befehlDictionary['Shift'].append("SHL Akku Konstante")
    __befehlDictionary['Shift'].append("SHL Akku Register")
    __befehlDictionary['Shift'].append("SHR Akku Konstante")
    __befehlDictionary['Shift'].append("SHR Akku Register")
    __befehlDictionary['Shift'].append("ROL Akku Konstante")
    __befehlDictionary['Shift'].append("ROL Akku Register")

    __befehlDictionary['Vergleich'].append("Jump Adresse")
    __befehlDictionary['Vergleich'].append("Compare Akku Konstante")
    __befehlDictionary['Vergleich'].append("Compare Akku Register")
    __befehlDictionary['Vergleich'].append("JZ Adresse")
    __befehlDictionary['Vergleich'].append("JNZ Adresse")
    __befehlDictionary['Vergleich'].append("JS Adresse")
    __befehlDictionary['Vergleich'].append("JNS Adresse")
    __befehlDictionary['Vergleich'].append("JL Adresse")
    __befehlDictionary['Vergleich'].append("JLE Adresse")
    __befehlDictionary['Vergleich'].append("JG Adresse")
    __befehlDictionary['Vergleich'].append("JGE Adresse")
    __befehlDictionary['Vergleich'].append("JC Adresse")
    __befehlDictionary['Vergleich'].append("JNC Adresse")
    __befehlDictionary['Vergleich'].append("JP Adresse")
    __befehlDictionary['Vergleich'].append("JNP Adresse")

    __befehlDictionary['Ein- und Ausgabe'].append("Lies Zahl in E/A-Einheit")
    __befehlDictionary['Ein- und Ausgabe'].append("IN Akku")
    __befehlDictionary['Ein- und Ausgabe'].append("OUT Akku")
    __befehlDictionary['Ein- und Ausgabe'].append("OUT Akku im Hexadezimalformat")
    __befehlDictionary['Ein- und Ausgabe'].append("IN Register")
    __befehlDictionary['Ein- und Ausgabe'].append("OUT Register")
    __befehlDictionary['Ein- und Ausgabe'].append("OUT Register im Hexadezimalformat")
    __befehlDictionary['Ein- und Ausgabe'].append("OUT NewLine")
    __befehlDictionary['Ein- und Ausgabe'].append("OUT Zeichenkette")

    __befehlDictionary['Etc.'].append("NOP (No Operation)")
    __befehlDictionary['Etc.'].append("Clear Carry")
    __befehlDictionary['Etc.'].append("Clear Register")
    __befehlDictionary['Etc.'].append("Stop")
