#!/usr/bin/python
# -*- coding: utf-8 -*-

import tkinter as tk
from tkinter.simpledialog import *
from tkinter.ttk import *
from tkinter import messagebox


class OptionsDialog(tk.simpledialog.Dialog):

    def body(self, master):
        Label(master, text="Einstellungen des Resim-Programms", foreground="blue", font="Verdana 14")\
            .grid(row=0, column=0, columnspan=2)
        Label(master, text="Timer [ms]").grid(row=1, column=0, padx=5, pady=5)

        self.time = Spinbox(master, from_=1, to=1000, increment=1, validate='all')
        self.time.grid(row=1, column=1, padx=5, pady=5)

        # bekommt als erstes den Focus
        return self.time

    def apply(self):
        self.result = self.isValid()

    def isValid(self):
        result = self.time.get()
        return result if (result.isdigit()) else 100
