
import tkinter
from tkinter import messagebox

class MyApp(tkinter.Frame):

	def __init__(self, master=None):
		tkinter.Frame.__init__(self, master)
		self.pack()
		self.setGUI()

	def setGUI(self):		
		self.inputui = tkinter.Entry(self)
		self.inputui.grid(row=0, padx="30",pady="10")

		self.var_name = tkinter.StringVar()
		self.var_name.set("Ihr Name...")
		self.inputui["textvariable"] = self.var_name


		self.bnOk = tkinter.Button(self)
		self.bnOk["text"] = "Ok"
		self.bnOk["command"] = self.quit
		self.bnOk.grid(row=1, column=1, padx="10",pady="10")

		self.bnRev = tkinter.Button(self)
		self.bnRev["text"] = "Umdrehen"
		self.bnRev["command"] = self.onReverse
		self.bnRev.grid(row=1, column=0, padx="10",pady="10")


	def onReverse(self):
		self.var_name.set( self.var_name.get()[::-1] )
		messagebox.showinfo( "Hello Python", "Hello World")



root = tkinter.Tk()
root.title("Mein Fenster")
app = MyApp(root)
app.mainloop()