
import tkinter
from tkinter import messagebox

class MyApp(tkinter.Frame):

	def __init__(self, master=None):
		tkinter.Frame.__init__(self, master)
		self.pack()
		self.setGUI()

	def setGUI(self):		
		self.inputui = tkinter.Entry(self, width="200")
		self.inputui.pack(padx="30",pady="10")

		self.var_name = tkinter.StringVar()
		self.var_name.set("Ihr Name...")
		self.inputui["textvariable"] = self.var_name


		# self.editor = tkinter.Text(self)
		# self.editor.pack( padx="50",pady="10")


		self.bnOk = tkinter.Button(self)
		self.bnOk["text"] = "Ok"
		self.bnOk["command"] = self.quit
		self.bnOk.pack(padx="10",pady="10", side="right")

		self.bnRev = tkinter.Button(self)
		self.bnRev["text"] = "Umdrehen"
		self.bnRev["command"] = self.onReverse
		self.bnRev.pack(padx="10",pady="10", side="right")

		# self.eingabe = tkinter.Entry(self, width=60)
		# self.eingabe.pack(side="right", fill="x", expand=True, padx="5",pady="5")

	def onReverse(self):
		self.var_name.set( self.var_name.get()[::-1] )
		messagebox.showinfo( "Hello Python", "Hello World")



root = tkinter.Tk()
root.title("Mein Fenster")
app = MyApp(root)
app.mainloop()