#!/usr/bin/python
# -*- coding: utf-8 -*-

from konstanten import *


class Befehl:
    ordernr = 0
    konstante = 0
    register = 0

    markertext = ""
    zielmarkertext = ""
    jumpnr = 0

    sourceCode = ""
    comment = ""

    errorText = ""
    error = False

    oriline = ""
    liesZahlText = ""
    ausgabeString = ""

    debug = False

    def __init__(self, errortxt=None, ordernr=None, value=None):
        if errortxt is None:
            self.ordernr = ordernr

            if ordernr in [Konstanten.C_Move_Akku_Const, Konstanten.C_Add_Akku_Const, Konstanten.C_Sub_Akku_Const,
                           Konstanten.C_Mod_Akku_Const, Konstanten.C_Mult_Akku_Const, Konstanten.C_Div_Akku_Const,
                           Konstanten.C_And_Akku_Const, Konstanten.C_Or_Akku_Const, Konstanten.C_Xor_Akku_Const,
                           Konstanten.C_SHL_Akku_Const, Konstanten.C_SHR_Akku_Const, Konstanten.C_ROL_Akku_Const,
                           Konstanten.C_ROR_Akku_Const, Konstanten.C_CMP_Akku_Const]:
                self.konstante = value

            if ordernr in [Konstanten.C_Move_Akku_Reg, Konstanten.C_Move_Reg_Akku, Konstanten.C_Add_Akku_Reg,
                           Konstanten.C_Sub_Akku_Reg, Konstanten.C_Mod_Akku_Reg, Konstanten.C_Mult_Akku_Reg,
                           Konstanten.C_Div_Akku_Reg, Konstanten.C_And_Akku_Reg, Konstanten.C_Or_Akku_Reg,
                           Konstanten.C_Xor_Akku_Reg, Konstanten.C_SHL_Akku_Reg, Konstanten.C_SHR_Akku_Reg,
                           Konstanten.C_CMP_Akku_Reg, Konstanten.C_OUT_REG, Konstanten.C_OUT_REGHex,
                           Konstanten.C_IN_REG]:
                self.register = value

            if ordernr in [Konstanten.C_JUMP, Konstanten.C_JZ, Konstanten.C_JNZ, Konstanten.C_JC, Konstanten.C_JNC,
                           Konstanten.C_JS, Konstanten.C_JNS, Konstanten.C_JL, Konstanten.C_JLE, Konstanten.C_JG,
                           Konstanten.C_JGE, Konstanten.C_JP, Konstanten.C_JNP]:
                self.konstante = value
        else:
            self.errorText = errortxt
            self.error = True
