# coding=utf8

import tkinter
from tkinter import messagebox

class MyApp(tkinter.Frame):

	def __init__(self, master=None):
		tkinter.Frame.__init__(self, master)
		self.pack(expand=True, fill="both")
		self.setGUI()

	def setGUI(self):
		# JPanel fuer ui-Elemente
		frameButton = tkinter.Frame(self)
		frameButton.pack(fill="x", side="bottom", pady="5")

		# JPanel fuer ui-Elemente
		frame1 = tkinter.Frame(self)
		frame1.pack(expand=True, fill="both", side="top", pady="5")

		sb = tkinter.Scrollbar(frame1)
		sb.pack(fill="y",side="right")

		frame1["yscrollcommand"] = sb.set
		# sb["command"]=self.listbox.yview

		self.chk1= tkinter.Checkbutton(frame1)
		self.chk1["text"] = "Eins"
		self.chk1.pack()

		self.chk2= tkinter.Checkbutton(frame1)
		self.chk2["text"] = "Zwei"
		self.chk2.pack()

		self.chk3= tkinter.Checkbutton(frame1)
		self.chk3["text"] = "Drei"
		self.chk3.pack()


		self.chk4= tkinter.Checkbutton(frame1)
		self.chk4["text"] = "Eins"
		self.chk4.pack()

		self.chk5= tkinter.Checkbutton(frame1)
		self.chk5["text"] = "Zwei"
		self.chk5.pack()

		self.chk6= tkinter.Checkbutton(frame1)
		self.chk6["text"] = "Drei"
		self.chk6.pack()


		self.chk7= tkinter.Checkbutton(frame1)
		self.chk7["text"] = "Eins"
		self.chk7.pack()

		self.chk8= tkinter.Checkbutton(frame1)
		self.chk8["text"] = "Zwei"
		self.chk8.pack()

		self.chk9= tkinter.Checkbutton(frame1)
		self.chk9["text"] = "Drei"
		self.chk9.pack()



		self.bnEsc = tkinter.Button(frameButton)
		self.bnEsc["text"] = "Ende"
		self.bnEsc["command"] = self.quit
		self.bnEsc.pack(side="right")

		self.bnAction = tkinter.Button(frameButton)
		self.bnAction["text"] = "Action"
		self.bnAction["command"] = self.actionClick
		self.bnAction.pack(side="right")
 

	def actionClick(self):
		items = self.listbox.curselection() # tuple !!!
		if len(items)==0:
			messagebox.askokcancel( "Meldung", "Bitte einen Eintrag auswählen") 
			return
		index = items[0] # Tuple (indizes)
		item = self.listbox.get(index)
		messagebox.askokcancel( "1. selektierter Eintrag", item)

		indizes = self.listbox.curselection()
		for i in indizes:
			messagebox.askokcancel( "Selektierter Eintrag", str(i))


root = tkinter.Tk()
root.title("Listbox")
root.geometry("250x200")
app = MyApp(root)
app.mainloop()