# coding=utf8

import tkinter
from tkinter import messagebox

class MyApp(tkinter.Frame):

	def __init__(self, master=None):
		tkinter.Frame.__init__(self, master)
		self.pack(expand=True, fill="both")  # dialog zoomt
		self.setGUI()

	def setGUI(self):	
		# pack ist wie das DockPanel in WPF
		# erst muessen die "normalen" UI-Elemente eintgetragen werden
		# am Schluss werden die UI-Elemente eingetragen, die fill="both" haben


		buttonframe = tkinter.Frame(self)  # „JPanel“ fuer die Eingabe
		buttonframe.config(background = "blue") #"#FF0000"
			# ohne expand, da fill=“x“
		buttonframe.pack(fill="x", side="bottom" )


		self.bnEsc = tkinter.Button(buttonframe)
		self.bnEsc["text"] = "Beenden"
		self.bnEsc["command"] = self.quit
		self.bnEsc.pack(padx="5", side="right")

		self.bnAction = tkinter.Button(buttonframe)
		self.bnAction["text"] = "Action"
		self.bnAction["command"] = self.onAction
		self.bnAction.pack(side="right")
		self.bnAction.config(foreground= "green")
		#self.bnAction.config(borderwidth="5") 
		self.bnAction.config(activebackground= "yellow")


		# nun ein Editor mit fill=both
		frame1 = tkinter.Frame(self)		# „JPanel“ fuer den Editor
		frame1.config(background = "green") #"#FF0000"
		frame1.pack(expand=True,fill="both", side="top" )

		sbx = tkinter.Scrollbar(frame1, orient="horizontal")
		sbx.pack(fill="x", side="bottom")

		sby = tkinter.Scrollbar(frame1)
		sby.pack(fill="y", side="right")

		self.listbox = tkinter.Listbox(frame1,selectmode="extended")
		self.listbox.pack(fill="both",expand=True)

		self.listbox["yscrollcommand"] = sbx.set
		sbx["command"]=self.listbox.xview

		self.listbox["yscrollcommand"] = sby.set
		sby["command"]=self.listbox.yview

		for i in range(20+1):
			self.listbox.insert("end",str(i))
		self.listbox.insert("end","abcdefghijklmnopqrstuvwxyz 0123456789")


	def onAction(self):
		messagebox.showinfo( "Hello Python", "Action")




root = tkinter.Tk()
root.title("Scrollbar Listbox")
root.geometry("450x400")
app = MyApp(root)
app.mainloop()
