#! /usr/bin/env python3
# coding=utf8


import tkinter

class MyApp(tkinter.Frame):

	def __init__(self, master=None):
		tkinter.Frame.__init__(self, master)
		self.pack(expand=True, fill="both") 
		self.setGUI()

	def onChangeClick(self,event):
		print("onMouseClick, Single Click, Button-l") 
		print("self.spinboxPrf: ",self.spinboxPrf.get())

	def setGUI(self):

		labelframe1 = tkinter.LabelFrame(self, text="Eingabe")
		labelframe1.pack(fill="x", padx="5",pady="10")

		frame1 = tkinter.Frame(labelframe1)
		frame1.pack(fill="x", side="top" ) 	 
		self.label2 = tkinter.Label(frame1)
		self.label2["text"] = "Werte"
		self.label2.pack(side="left")
		self.spinboxPrf = tkinter.Spinbox(frame1,values = ("Bitte auswählen","ABC","DEF","GHI","JKL"))
		self.spinboxPrf.pack(expand=True,fill="x",padx="5",pady="5", side="left")
		self.spinboxPrf.bind('<Button-1>', self.onChangeClick)
		self.spinboxPrf.bind('<KeyPress>', self.onChangeClick)
		self.prf=""


root = tkinter.Tk()
root.title("Test Events")
root.geometry("250x100")
app = MyApp(root)
app.mainloop()
